import AppConsts from '../../appconst';
import Util from '../../utils';
class SignalRAspNetCoreHelper {
  initSignalR() {
    var encryptedAuthToken = sparkle.utils.getCookieValue(AppConsts.authorization.encrptedAuthTokenName);
    sparkle.signalr = {
      autoConnect: true,
      connect: undefined,
      hubs: undefined,
      qs: AppConsts.authorization.encrptedAuthTokenName + '=' + encodeURIComponent(encryptedAuthToken),
      remoteServiceBaseUrl: "",
      url: '/signalr'
    };
    Util.loadScript('./sparkle.signalr-client.js');
  }
}
export default new SignalRAspNetCoreHelper();
